Bug 88572 - unprivledged changes consolehelper
unprivledged changes consolehelper
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 19:24 EDT by Gregory L. Masci
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-11 05:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory L. Masci 2003-04-10 19:24:29 EDT
Description of problem:
  While logged in as nonpriv user, I ran redhat-config-network from xterm.
Graphical display prompts for root password.  I entered root password.  
I closed redhat-config-network, and re-ran from xterm as nonpriv user.  I was
not promted for root password, however I was able to change my network settings
such as /etc/hosts.  I tried logging out of my X session, and logging back in.
And again I was able to run redhat-config-network and make changes.  This
behavior was also noticed when running gdmsetup 

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.0-2
Red Hat Linux release 9 (Shrike)
Linux 2.4.20-9

How reproducible:
I reproduce this about 3 times including logging out of my gnome session.  about
the 4th time i was again prompted for root when running redhat-config-network

Steps to Reproduce:
1. log in to gnome as nonprive user
2. Open New terminal
3. $ redhat-config-network
4. Enter root password
5. exit
6. $ redhat-config-network     (not prompted for root password)
7. edit or update /etc/hosts from Hosts tab 
8. Log out of Gnome and repeat steps 1 thru 7
    
Actual results:
   You will not be promted for Root passowrd but you can make changes to
privledged files

Expected results:
   see Actual Results     

Additional info:
Permissions for files
lrwxrwxrwx    1 root     root           13 Apr  8 17:01
/usr/bin/redhat-config-network -> consolehelper
-rwxr-xr-x    1 root     root         3592 Feb 24 19:10 consolehelper
-rw-r--r--    2 root     root        98312 Apr 10 03:01 /etc/hosts
Comment 1 Mark J. Cox (Product Security) 2003-04-11 05:03:33 EDT
Expected behaviour, see
http://www.europe.redhat.com/documentation/rhl8.0/rhl-cg-en-8.0/s1-access-console-enable.php3
which explains how consolehelper uses pam_timestamp to cache authentication
credentials.

Note You need to log in before you can comment on or make changes to this bug.